# ECellToggle

## Name

ECellToggle --

## Synopsis

    #define     E_CELL_TOGGLE_TYPE
    typedef     ECellToggle;
    ECell*      e_cell_toggle_new               (int border,
                                                 int n_states,
                                                 GdkPixbuf **images);
    void        e_cell_toggle_construct         (ECellToggle *etog,
                                                 int border,
                                                 int n_states,
                                                 GdkPixbuf **images);

## Object Hierarchy

      GtkObject
       +----ECell
             +----ECellToggle
                   +----ECellCheckbox

## Description

## Details

### E_CELL_TOGGLE_TYPE

    #define E_CELL_TOGGLE_TYPE        (e_cell_toggle_get_type ())

### ECellToggle

    typedef struct {
    	ECell parent;

    	int        border;
    	int        n_states;
    	GdkPixbuf **images;

    	int        height;
    } ECellToggle;

### e_cell_toggle_new ()

    ECell*      e_cell_toggle_new               (int border,
                                                 int n_states,
                                                 GdkPixbuf **images);

`border` : |
`n_states` : |
`images` : |
Returns : |

### e_cell_toggle_construct ()

    void        e_cell_toggle_construct         (ECellToggle *etog,
                                                 int border,
                                                 int n_states,
                                                 GdkPixbuf **images);

Constructs the `etog` object with the `border`, `n_staes`, and `images` arguments.

`etog` : | a fresh ECellToggle object
`border` : | number of pixels used as a border
`n_states` : | number of states the toggle will have
`images` : | a collection of `n_states` images, one for each state.